public class Name implements Comparable {
	private String lastName, firstName;
	public Name(String lastName, String firstName) {
		this.lastName = lastName;
		this.firstName = firstName;
	}
	@Override
	public int compareTo(Object other) {
		Name o = (Name) other;
		int result = Integer.MIN_VALUE;
		switch (lastName.compareTo(o.lastName)) {
		case -1:
			result = -1;
			break;
		case 1:
			result = 1;
			break;
		case 0:
			result = (firstName.compareTo(o.firstName));
			break;
		}
		return result;
	}
	@Override
	public String toString() {
		return "[" + lastName + ", " + firstName + "]";
	}
}
